﻿'TCPCoreLib bY Frank verweisen

Option Strict On

Imports TCPCoreLib_bY_Frank 'TCPCoreLib bY Frank importieren

Public Class Server
    WithEvents Server As New TCPCoreLib_bY_Frank.Server 'Server deklarieren

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Server.Start(Integer.Parse(TextBox1.Text), TextBox2.Text) 'Server starten (Port, Nutzername)
        MsgBox("Server started !") 'Nachricht, dass der Server nun läuft/gestartet wurde
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        Server.Stop() 'Server stoppen (Alle Clienten werden disconnected)
        MsgBox("Server stopped !") 'Nachricht, dass der Server nun nicht mehr läuft/gestoppt wurde
    End Sub

    Public Sub Server_ClientConnected(Nutzername As String) Handles Server.ClientConnected 'Wenn ein Client connected (Es wird auch der Nutzername des Clienten zurückgegeben)
        MsgBox(Nutzername & " has connected !") 'Nachricht, dass ein Client connected hat (Mit Nutzername)
    End Sub

    Public Sub Server_ClientDisconnected(Nutzername As String) Handles Server.ClientDisconnected 'Wenn ein Client disconnected (Es wird auch der Nutzername des Clienten zurückgegeben)
        MsgBox(Nutzername & " has disconnected !") 'Nachricht, dass ein Client disconnected hat (mit Nutzername)
    End Sub

    Public Sub Server_GetMessages(Text As String, Nutzername As String) Handles Server.GetMessages 'Wenn eine Nachricht ankommt  (Es wird auch der Nutzername des Clienten und der Text zurückgegeben)
        TextBox4.AppendText(Nutzername & ": " & Text & vbNewLine) 'Nachricht des Clienten wird mit Nutzername und Text ausgegeben
    End Sub

    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        Server.Kick(TextBox3.Text) 'Client kicken (Nutzername)
    End Sub

    Private Sub Button4_Click(sender As Object, e As EventArgs) Handles Button4.Click
        Server.KickAll() 'Alle Clienten kicken
    End Sub

    Private Sub Button5_Click(sender As Object, e As EventArgs) Handles Button5.Click
        ListBox1.Items.Clear() 'Liste der Clienten leeren

        For Each Name As String In Server.GetClients 'Beispiel, um alle Clienten zu bekommen
            ListBox1.Items.Add(Name) 'Jeder Client in der List(Of String) adden
        Next
    End Sub

    Private Sub Button6_Click(sender As Object, e As EventArgs) Handles Button6.Click
        Server.SendMessage(TextBox5.Text) 'Nachricht als Server senden (Text)
    End Sub

    Private Sub Button7_Click(sender As Object, e As EventArgs) Handles Button7.Click
        Server.MaxClients = Integer.Parse(TextBox6.Text) 'Maximale Anzahl an Clients angeben. (10 ist Standard)
        'Kann natürlich auch mit z.b. TextBox.Text = Server.MaxClients, wiedergegeben werden
    End Sub

    Public Sub Server_MaxClientsExceeded(Nutzername As String) Handles Server.MaxClientExceeded 'Wenn die maximale Anzahl an Clienten überschritten wird
        MsgBox(Nutzername & " has exceeded the maximum number of clients and therefore could not connected !") ' Nachricht, das die Maximal Anzahl an Clienten überschirtten wurde und dass der auslösende Client deshalb nicht connecten konnte.
    End Sub

    Public Sub Server_GetFiles(Dateiname As String, Nutzername As String) Handles Server.GetFiles 'Wenn eine Datei ankommt  (Es wird auch der Nutzername des Clienten und der Dateiname zurückgegeben)
        TextBox8.AppendText(Nutzername & ": " & Dateiname & vbNewLine) 'Datei des Clienten wird mit Nutzername und Dateiname ausgegeben

        If Not Nutzername = TextBox2.Text Then 'Wenn der Nutzername nicht dem eigenem entspricht
            Server.SaveFile("C:\Users\" & Environment.UserName & "\Desktop\" & Dateiname) 'Datei wird auf dem angegebenem Pfad gespeichert
        End If
    End Sub

    Private Sub Button8_Click(sender As Object, e As EventArgs) Handles Button8.Click
        Server.SendFile(TextBox9.Text) 'Datei wird vom angegebenen Pfad gesendet
    End Sub

End Class